| Home | Libraries | People | FAQ | More

##### front

###### Description

Returns the result type of `front`.

###### Synopsis

    template<typename Seq>
    struct front
    {
        typedef unspecified type;
    };

Table 1.22. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence

###### Expression Semantics

    result_of::front<Seq>::type

Return type: Any type

Semantics: The type returned by dereferencing an iterator to the first element in `Seq`. Equivalent to ``result_of::deref`<`result_of::begin`<Seq>::type>::type`.

/sequence/intrinsic/front.hpp>

###### Example

    typedef vector<int,char> vec;
    BOOST_MPL_ASSERT((boost::is_same<result_of::front<vec>::type, int&>));